import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { loadData } from './loadData';
import { Marks } from './Marks';

const width = 960;
const height = 500;

//invoke the loaddata script
const App = () => {
  const data = loadData();

  if (!data) {
    return <pre>Loading Data...</pre>;
  }

  // define the svg scape
  return (
    <svg width={width} height={height}>
        <Marks data={data} width={width} height={height} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
